function lupdrect_test(mmax,brmax,itc)

for bc=2:16
	for br=bc:bc:brmax
		for m=br:br:mmax
			A = rand(m,m);
			B = rand(m,bc);
			C = [A,B];
			X = A \ B;
	
			printf("\r%8i x %8i %8i x %8i",m,m,br,bc);
			fflush(1);
			for it=1:itc
					U = lupdrect(C,br,bc);
					U1 = U(:,1:m);
					U2 = U(:,m+1:m+bc);
					Xa = U1 \ U2;
					err=norm(X-Xa,1)/norm(X,1);

					if err > 0.0001
						printf("error: %ix%i %ix%i : %.16f\n",m,m,br,bc,err);
						exit(1);
					end

					#printf(".");
					#fflush(1);
			end
	
			#printf("\n");
			#fflush(1);
		end

	end
end

