#include "lu_setup.h"


#if USE_LUNAT 


#include "lupd_check.h"
#include "lupd_utils.h"
#include <stdlib.h>
#include <time.h>


static double *A;
static int *P;
FILE *check_f=NULL;


int lu_setup(int check, int m, int mr, int n, int nr, int br, int bc, int t, int h, int tm, int tn, int mleft, int nleft, double ***Ah, double ***Sh, int ***Ph, double **Aorigp) {
	*Ah = (double **) malloc( 1 * sizeof(double *) );
	if(*Ah == NULL) return 1;
	*Ph = (int **) malloc( 1 * sizeof(int *) );
	if(*Ph == NULL) return 1;
	*Sh = NULL;

	double **lAh = *Ah;
	int **lPh = *Ph;

	A = (double *) calloc( m * n, sizeof(double) );
	lAh[0] = A;
	P = (int *) malloc( min(m,n) * sizeof(int) );
	lPh[0] = P;
	printf("setup: A %x P %x\n",A,P);

	// Initialization of A with random values
	srand48( ( long int ) time(NULL) );

	double *Ain = &A[0];
	int i;
	for (i = 0; i < m*n; i++) {
		double dran = drand48();
		//if(dran == 0.0)  printf("generated 0\n");
		*Ain++ = dran;
	}

	return 0;
}


void lu_shutdown() {
	free(A);
	free(P);
}


#endif // USE_LUNAT 
