#ifndef __LUPD_CHECK_H__
#define __LUPD_CHECK_H__


#include "lupd_utils.h"
#include <stdio.h>


#define LUPD_OCTAVE 0
#define LUPD_CHECK 0
#if USE_LUNAT
#define LUPD_OCTAVE 0
#define LUPD_CHECK 0
#endif


#if LUPD_CHECK
void lupd_check(int check, int m, int mr, int n, int nr, int br, int bc, int h); 
extern FILE *check_f;
#else
static inline __attribute__((always_inline)) void lupd_check(int check, int m, int mr, int n, int nr, int br, int bc, int h) {}
#endif


#if LUPD_OCTAVE

static inline __attribute__((always_inline)) void octave_matrix_def(char *name, int m, int mr, int n, int nr, int br, int bc, double *A) {
  fprintf(check_f,"%s = [];\n",name);
  print_matrix_blocked(check_f, name, m, mr, n, nr, br, bc, A);
}

#else

static inline __attribute__((always_inline)) void octave_matrix_def(char *name, int m, int mr, int n, int nr, int br, int bc, double *A) {}

#endif


#endif // __LUPD_CHECK_H__
