#include "lunat_main.h"


#include <stdio.h>
#include <sys/time.h>


unsigned long lunat_main(int m, int n, double **Ah, int **Ph) {
	struct timeval start;
	gettimeofday( &start, NULL );

	int info;
	dgetrf_(&m, &n, Ah[0], &m, Ph[0], &info);
	if ( info != 0 ) {
		fprintf(stderr, "error: lunat: dgetrf (%i)\n", info );
	}

	struct timeval stop;
	gettimeofday(&stop,NULL);

	unsigned long interm = stop.tv_usec - start.tv_usec;
	interm += (stop.tv_sec - start.tv_sec ) * 1000000;

	return interm;
}
