#if USE_LUPDH


#include "lu_config.h"
#include "lupd_utils.h"
#include <stdio.h>


extern int m;
extern int n;
extern int br;
extern int bc;
extern int t;
extern int h;
extern int reps;
extern int check;
extern int diagl;
extern int mt;
extern int nt;


int lu_config(int argc, char *argv[]) { 
	if (argc < 4 ) {
		fprintf(stderr, "use: %s m n b [hr] [hc] [t] [reps] [check]\n",argv[0]);
		return 1;
	}

  	m = atoi(argv[1]);
  	n = atoi(argv[2]);
  	bc = br = atoi(argv[3]);
	int hr = 1;
	int hc = 1;
	t = br;
	reps = 1;
	check = 0;
	if (argc > 4) {
  		hr = atoi(argv[4]);
		if (argc > 5) {
  			hc = atoi(argv[5]);
			if (argc > 6) {
				t = atoi(argv[6]);
				if (argc > 7) {
					reps = atoi(argv[7]);
					if (argc > 8) {
						check = atoi(argv[8]);
						if ( check > 0 ) {
							printf("warning: enabling error check\n");
						}
					}
				}
			}
		}
	}
	
	h = br;

	br = br * hr;
	bc = bc * hc;
	mt = ( m + br - 1 ) / br;
	nt = ( n + bc - 1 ) / bc;

	int minb = min(br,bc);	
	diagl = (min(m,n) + h - 1) / h;  

	return 0;
}


#endif // LUPDH
